# V1Affinity

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**node_affinity** | [**V1NodeAffinity**](V1NodeAffinity.md) | Describes node affinity scheduling rules for the pod. | [optional] 
**pod_affinity** | [**V1PodAffinity**](V1PodAffinity.md) | Describes pod affinity scheduling rules (e.g. co-locate this pod in the same node, zone, etc. as some other pod(s)). | [optional] 
**pod_anti_affinity** | [**V1PodAntiAffinity**](V1PodAntiAffinity.md) | Describes pod anti-affinity scheduling rules (e.g. avoid putting this pod in the same node, zone, etc. as some other pod(s)). | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


